@import "../../.././common/css/media";

.cmp-container--smallerbanner {
    .cmp-container {
        .aem-Grid {
            // display: flex;
            // justify-content: center;

            // @include mobile {
            //     flex-direction: column;
            // }

            .cmp-container--smallerbanner__left {
                width: 50%;

                @include mobile {
                    width: 100%;
                }

                .cmp-container {
                    // display: grid !important;
                    // grid-template-columns: repeat(2, 1fr);

                    // @include mobile {
                    //     grid-template-rows: 1fr 376px 368px;
                    // }

                    .cmp-teaser--smallerbanner__left-upper {
                        // grid-column: 1/3;
                        // height: 100%;

                        // @include mobile {
                        //     grid-row-start: 3;
                        //     grid-row-end: 4;
                        // }

                        .cmp-teaser {
                            display: flex;
                            justify-content: space-between;
                            align-items: center;
                            flex-direction: row-reverse;

                            @include mobile {
                                padding: 40px 16px;
                                justify-content: center;
                                text-align: center;
                                flex-direction: column-reverse;
                            }

                            .cmp-teaser__content {
                                .cmp-teaser__title {
                                    color: #000;
                                    font-size: 49px;
                                    font-style: normal;
                                    font-weight: 500;
                                    line-height: 40px;

                                    @include mobile {
                                        padding-top: 24px;
                                        font-size: 34px;
                                    }
                                }

                                .cmp-teaser__description {
                                    width: 71.52%;
                                    padding-top: 16px;
                                    color: #909090;
                                    font-size: 14px;
                                    font-style: normal;
                                    font-weight: 500;
                                    line-height: 24px;

                                    @include mobile {
                                        width: 100%;
                                        font-size: 16px;
                                        padding-top: 8px;
                                    }
                                }
                            }

                            .cmp-teaser__image {
                                .cmp-image {
                                    font-size: 0;

                                    @include mobile {
                                        img {
                                            height: 200px;
                                        }
                                    }

                                }
                            }
                        }
                    }

                    .cmp-teaser--smallerbanner__left-bottom-left {
                        // grid-column: 1/2;
                        background: #EDEDED;
                        height: 100%;

                        @include mobile {
                            width: 100%;
                        }

                        .cmp-teaser {
                            display: flex;
                            flex-direction: row-reverse;
                            justify-content: space-between;
                            align-items: center;

                            @include mobile {
                                padding: 40px 16px;
                                justify-content: center;
                                text-align: center;
                                flex-direction: column-reverse;
                            }

                            .cmp-teaser__content {
                                padding: 0px 48px;

                                .cmp-teaser__title {
                                    color: #000;

                                    font-size: 29px;
                                    font-style: normal;
                                    font-weight: 300;
                                    line-height: 40px;
                                }

                                .cmp-teaser__description {
                                    padding-top: 8px;
                                    color: #909090;

                                    font-size: 14px;
                                    font-style: normal;
                                    font-weight: 500;
                                    line-height: 24px;
                                }
                            }

                            .cmp-teaser__image {
                                .cmp-image {
                                    font-size: 0;

                                    @include mobile {
                                        img {
                                            height: 200px;
                                        }
                                    }
                                }
                            }

                        }
                    }

                    .cmp-teaser--smallerbanner__left-bottom-right {
                        // grid-column: 2/3;
                        background: #353535;

                        @include mobile {
                            width: 100%;
                        }

                        // @include mobile {
                        //     grid-column: 1/3;
                        // }

                        .cmp-teaser {
                            min-height: 272px;
                            display: flex;
                            flex-direction: row-reverse;
                            justify-content: space-between;
                            align-items: center;

                            @include mobile {
                                min-height: 376px;
                                justify-content: center;
                                text-align: center;
                                flex-direction: column-reverse;
                            }

                            .cmp-teaser__content {
                                padding-right: 48px;
                                padding-left: 18px;

                                @include mobile {
                                    padding: unset;
                                }

                                .cmp-teaser__title {
                                    color: #FFF;
                                    font-size: 29px;
                                    font-style: normal;
                                    font-weight: 300;
                                    line-height: 40px;
                                }

                                .cmp-teaser__description {
                                    padding-top: 8px;
                                    color: #909090;
                                    font-size: 14px;
                                    font-weight: 500;
                                    line-height: 24px;
                                }
                            }

                        }
                    }
                }
            }

            // Right SIde container
            .cmp-container--smallerbanner__right {
                width: 50%;

                @include mobile {
                    width: 100%;
                }

                .cmp-container {
                    height: 100%;

                    .cmp-teaser--smallerbanner__rightside {
                        background: #EDEDED;

                        .cmp-teaser {
                            height: 600px;
                            display: flex;
                            justify-content: space-between;
                            align-items: center;
                            padding: 49px 0px;
                            overflow: hidden;

                            @include mobile {
                                justify-content: center;
                                text-align: center;
                                flex-direction: column-reverse;
                                padding: 40px 16px;
                                height: 100%;
                            }

                            .cmp-teaser__content {
                                width: 50%;
                                padding-left: 56px;

                                @include mobile {
                                    width: unset;
                                    padding: unset;
                                }

                                .cmp-teaser__title {
                                    color: #000;
                                    font-size: 54px;
                                    font-weight: 400;
                                    line-height: 56px;

                                    @include mobile {
                                        padding-top: 24px;
                                        font-size: 34px;
                                        line-height: 40px;
                                    }
                                }

                                .cmp-teaser__description {
                                    // width: 77%;
                                    padding: 16px 0px;
                                    color: #909090;
                                    font-size: 14px;
                                    font-style: normal;
                                    font-weight: 500;
                                    line-height: 24px;

                                    @include mobile {
                                        width: 100%;
                                        font-size: 16px;
                                    }
                                }

                                .cmp-teaser__action-container {
                                    display: flex;

                                    @include mobile {
                                        flex-flow: column;
                                    }

                                    .cmp-teaser__action-link {
                                        border-radius: 6px;
                                        border: 1px solid #000;
                                        padding: 16px 56px;
                                        color: #000;
                                        font-size: 16px;
                                        font-weight: 500;
                                        line-height: 24px;
                                    }
                                }
                            }

                            .cmp-teaser__image {

                                width: 50%;

                                @include mobile {
                                    width: unset;
                                }

                                .cmp-image {
                                    img {

                                        // width: 826px;
                                        // height: 502px;
                                        max-height: 100%;
                                        object-fit: contain;
                                        margin-left: 120px;

                                        @include mobile {
                                            // width: 330px;
                                            // height: 200px;
                                            margin-left: unset;
                                        }
                                    }
                                }
                            }

                        }
                    }
                }
            }
        }
    }
}